Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
[Java] Class ReadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.ReadException

    public class ReadException
    extends GroovyException

Encapsulates non-specific i/o exceptions.

Constructor Summary
`ReadException(IOException cause)`
`ReadException(String message, IOException cause)`

Method Summary
`IOException` | `getIOCause()`
`String` | `getMessage()`
`String` | `toString()`

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ReadException

    public ReadException(IOException cause)

### ReadException

    public ReadException(String message, IOException cause)

Method Detail

### getIOCause

    public IOException getIOCause()

### getMessage

    public String getMessage()

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.